import { IgrInputBase } from "./igr-input-base";
import { ensureBool } from "igniteui-react-core";
export class IgrMaskInputBase extends IgrInputBase {
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * The prompt symbol to use for unfilled parts of the mask.
    */
    get prompt() {
        return this.i.aa;
    }
    set prompt(v) {
        this.i.aa = v;
    }
    /**
     * Controls the validity of the control.
    */
    get invalid() {
        return this.i.z;
    }
    set invalid(v) {
        this.i.z = ensureBool(v);
    }
    connectedCallback() {
        this.i.ab();
    }
    /**
     * Sets a custom validation message for the control.
     * As long as `message` is not empty, the control is considered invalid.
    
    */
    setCustomValidity(message) {
        this.i.ad(message);
    }
    /**
     * Selects all text within the input.
    
    */
    select() {
        this.i.ac();
    }
}
