import { PaneDragActionType_$type } from "./PaneDragActionType";
import { IgrPaneDragAction } from "./igr-pane-drag-action";
import { MoveTabAction } from "./MoveTabAction";
import { ensureEnum } from "igniteui-react-core";
export class IgrMoveTabAction extends IgrPaneDragAction {
    createImplementation() {
        return new MoveTabAction();
    }
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    get actionType() {
        return this.i.a;
    }
    set actionType(v) {
        this.i.a = ensureEnum(PaneDragActionType_$type, v);
    }
    get oldIndex() {
        return this.i.e;
    }
    set oldIndex(v) {
        this.i.e = +v;
    }
    get newIndex() {
        return this.i.d;
    }
    set newIndex(v) {
        this.i.d = +v;
    }
    setNativeElement(element) {
        this.i.setNativeElement(element);
    }
}
