import { IgrActivePaneEventArgsDetail } from "./igr-active-pane-event-args-detail";
import { ActivePaneEventArgs as ActivePaneEventArgs_internal } from "./ActivePaneEventArgs";
var IgrActivePaneEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgrActivePaneEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrActivePaneEventArgs.prototype.createImplementation = function () {
        return new ActivePaneEventArgs_internal();
    };
    Object.defineProperty(IgrActivePaneEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrActivePaneEventArgs.prototype.onImplementationCreated = function () {
    };
    IgrActivePaneEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgrActivePaneEventArgs.prototype, "detail", {
        get: function () {
            var r = this.i.b;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = new IgrActivePaneEventArgsDetail();
                if (r.$type) {
                    e._implementation = r;
                }
                else {
                    if (e.i.setNativeElement) {
                        e.i.setNativeElement(r);
                    }
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.b = null : this.i.b = v.i;
        },
        enumerable: false,
        configurable: true
    });
    return IgrActivePaneEventArgs;
}());
export { IgrActivePaneEventArgs };
