import { IgrFormData } from "./igr-form-data";
import { FormDataEventArgs as FormDataEventArgs_internal } from "./FormDataEventArgs";
var IgrFormDataEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgrFormDataEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrFormDataEventArgs.prototype.createImplementation = function () {
        return new FormDataEventArgs_internal();
    };
    Object.defineProperty(IgrFormDataEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrFormDataEventArgs.prototype.onImplementationCreated = function () {
    };
    IgrFormDataEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgrFormDataEventArgs.prototype, "detail", {
        get: function () {
            var r = this.i.a;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = new IgrFormData();
                if (r.$type) {
                    e._implementation = r;
                }
                else {
                    if (e.i.setNativeElement) {
                        e.i.setNativeElement(r);
                    }
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.a = null : this.i.a = v.i;
        },
        enumerable: false,
        configurable: true
    });
    return IgrFormDataEventArgs;
}());
export { IgrFormDataEventArgs };
