import { RangeSliderValue as RangeSliderValue_internal } from "./RangeSliderValue";
var IgrRangeSliderValue = /** @class */ /*@__PURE__*/ (function () {
    function IgrRangeSliderValue() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrRangeSliderValue.prototype.createImplementation = function () {
        return new RangeSliderValue_internal();
    };
    Object.defineProperty(IgrRangeSliderValue.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrRangeSliderValue.prototype.onImplementationCreated = function () {
    };
    IgrRangeSliderValue.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgrRangeSliderValue.prototype, "lower", {
        get: function () {
            return this.i.a;
        },
        set: function (v) {
            this.i.a = +v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrRangeSliderValue.prototype, "upper", {
        get: function () {
            return this.i.b;
        },
        set: function (v) {
            this.i.b = +v;
        },
        enumerable: false,
        configurable: true
    });
    IgrRangeSliderValue.prototype.findByName = function (name) {
        if (this.findEphemera) {
            if (name && name.indexOf("@@e:") == 0) {
                return this.findEphemera(name);
            }
        }
        return null;
    };
    return IgrRangeSliderValue;
}());
export { IgrRangeSliderValue };
