import { __extends } from "tslib";
import { IgCollection } from "igniteui-react-core";
import { markType } from "igniteui-react-core";
import { SyncableObservableCollection$2 } from "igniteui-react-core";
import { SplitPane as SplitPane_internal } from './SplitPane';
import { IgrSplitPane as IgrSplitPane } from './igr-split-pane';
var IgrSplitPaneCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgrSplitPaneCollection, _super);
    function IgrSplitPaneCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgrSplitPane.$type) {
            IgrSplitPane.$type = markType(IgrSplitPane, "IgrSplitPane");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgrSplitPaneCollection.prototype._createInnerColl = function () {
        if (!IgrSplitPane.$type) {
            IgrSplitPane.$type = markType(IgrSplitPane, "IgrSplitPane");
        }
        var coll = new SyncableObservableCollection$2(IgrSplitPane.$type, SplitPane_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new IgrSplitPane(null);
                if (ext) {
                    ext._implementation = int;
                }
            }
            return ext;
        };
        return coll;
    };
    return IgrSplitPaneCollection;
}(IgCollection));
export { IgrSplitPaneCollection };
