import { TabComponentEventArgs as TabComponentEventArgs_internal } from "./TabComponentEventArgs";
var IgrTabComponentEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgrTabComponentEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrTabComponentEventArgs.prototype.createImplementation = function () {
        return new TabComponentEventArgs_internal();
    };
    Object.defineProperty(IgrTabComponentEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrTabComponentEventArgs.prototype.onImplementationCreated = function () {
    };
    IgrTabComponentEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgrTabComponentEventArgs.prototype, "detail", {
        get: function () {
            var r = this.i.a;
            if (r == null) {
                return null;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.a = null : this.i.a = v.i;
        },
        enumerable: false,
        configurable: true
    });
    return IgrTabComponentEventArgs;
}());
export { IgrTabComponentEventArgs };
