import { ThemeController as ThemeController_internal } from "./ThemeController";
var IgrThemeController = /** @class */ /*@__PURE__*/ (function () {
    function IgrThemeController() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrThemeController.prototype.createImplementation = function () {
        return new ThemeController_internal();
    };
    Object.defineProperty(IgrThemeController.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrThemeController.prototype.onImplementationCreated = function () {
    };
    IgrThemeController.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    IgrThemeController.prototype.findByName = function (name) {
        if (this.findEphemera) {
            if (name && name.indexOf("@@e:") == 0) {
                return this.findEphemera(name);
            }
        }
        return null;
    };
    return IgrThemeController;
}());
export { IgrThemeController };
