import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { Type } from "igniteui-react-core";
import { ButtonBaseType } from "./ButtonBaseType";
import { ButtonBaseTarget } from "./ButtonBaseTarget";
import { SizableComponentSize } from "./SizableComponentSize";
import { VoidEventArgs } from "./VoidEventArgs";
import { FocusOptions } from "./FocusOptions";
/**
 * @hidden
 */
export declare abstract class ButtonBase extends BaseElement {
    static $t: Type;
    clicked: (sender: any, args: VoidEventArgs) => void;
    clickedChanged(): void;
    private g;
    protected get h(): WCNativeHelper;
    private j;
    protected get nativeElement(): any;
    protected set nativeElement(a: any);
    setNativeElement(a: any): void;
    get b(): ButtonBaseType;
    set b(a: ButtonBaseType);
    get n(): string;
    set n(a: string);
    get m(): string;
    set m(a: string);
    get a(): ButtonBaseTarget;
    set a(a: ButtonBaseTarget);
    get o(): string;
    set o(a: string);
    get i(): boolean;
    set i(a: boolean);
    get l(): string;
    set l(a: string);
    get c(): SizableComponentSize;
    set c(a: SizableComponentSize);
    focus: (sender: any, args: VoidEventArgs) => void;
    focusChanged(): void;
    blur: (sender: any, args: VoidEventArgs) => void;
    blurChanged(): void;
    t(a: FocusOptions): void;
    q(): void;
}
