import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { Type } from "igniteui-react-core";
import { SizableComponentSize } from "./SizableComponentSize";
import { ComponentValueChangedEventArgs } from "./ComponentValueChangedEventArgs";
import { VoidEventArgs } from "./VoidEventArgs";
import { ThemeController } from "./ThemeController";
import { FocusOptions } from "./FocusOptions";
import { InputBaseDirection } from "./InputBaseDirection";
import { InputBaseSelectMode } from "./InputBaseSelectMode";
/**
 * @hidden
 */
export declare abstract class InputBase extends BaseElement {
    static $t: Type;
    private e;
    protected get f(): WCNativeHelper;
    private k;
    protected get nativeElement(): any;
    protected set nativeElement(a: any);
    setNativeElement(a: any): void;
    get n(): string;
    set n(a: string);
    get h(): boolean;
    set h(a: boolean);
    get j(): boolean;
    set j(a: boolean);
    get g(): boolean;
    set g(a: boolean);
    get i(): boolean;
    set i(a: boolean);
    get o(): string;
    set o(a: string);
    get m(): string;
    set m(a: string);
    get b(): SizableComponentSize;
    set b(a: SizableComponentSize);
    inputOcurred: (sender: any, args: ComponentValueChangedEventArgs) => void;
    inputOcurredChanged(): void;
    focus: (sender: any, args: VoidEventArgs) => void;
    focusChanged(): void;
    blur: (sender: any, args: VoidEventArgs) => void;
    blurChanged(): void;
    r(): void;
    y(a: ThemeController): void;
    t(a: FocusOptions): void;
    q(): void;
    x(a: number, b: number, c: InputBaseDirection): void;
    w(a: string, b: number, c: number, d: InputBaseSelectMode): void;
}
