import { BaseElement } from "./BaseElement";
import { WCNativeHelper } from "./WCNativeHelper";
import { Type } from "igniteui-react-core";
import { Step } from "./Step";
import { StepperOrientation } from "./StepperOrientation";
import { StepperStepType } from "./StepperStepType";
import { Direction } from "./Direction";
import { StepperTitlePosition } from "./StepperTitlePosition";
import { ActiveStepChangingArgsEventArgs } from "./ActiveStepChangingArgsEventArgs";
import { ActiveStepChangedArgsEventArgs } from "./ActiveStepChangedArgsEventArgs";
/**
 * @hidden
 */
export declare class Stepper extends BaseElement {
    static $t: Type;
    private h;
    protected get i(): WCNativeHelper;
    private l;
    protected get nativeElement(): any;
    protected set nativeElement(a: any);
    setNativeElement(a: any): void;
    get a(): Step[];
    set a(a: Step[]);
    get e(): StepperOrientation;
    set e(a: StepperOrientation);
    get f(): StepperStepType;
    set f(a: StepperStepType);
    get k(): boolean;
    set k(a: boolean);
    get j(): boolean;
    set j(a: boolean);
    get d(): Direction;
    set d(a: Direction);
    get g(): StepperTitlePosition;
    set g(a: StepperTitlePosition);
    activeStepChanging: (sender: any, args: ActiveStepChangingArgsEventArgs) => void;
    activeStepChangingChanged(): void;
    activeStepChanged: (sender: any, args: ActiveStepChangedArgsEventArgs) => void;
    activeStepChangedChanged(): void;
    p(): void;
    q(a: number): void;
    r(): void;
    s(): void;
    t(): void;
}
