import { IgrSplitPane } from "./igr-split-pane";
import { IgrSplitPaneCollection } from "./igr-split-pane-collection";
import { DockManagerLayout as DockManagerLayout_internal } from "./DockManagerLayout";
import { ContentChildrenManager } from "igniteui-react-core";
/**
 * Describes a Dock Manager layout.
*/
export declare class IgrDockManagerLayout {
    protected createImplementation(): DockManagerLayout_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DockManagerLayout_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    get name(): string;
    set name(v: string);
    /**
     * The root split pane of the layout.
    */
    get rootPane(): IgrSplitPane;
    set rootPane(v: IgrSplitPane);
    private _floatingPanes;
    /**
     * The floating panes of the layout.
    */
    get floatingPanes(): IgrSplitPaneCollection;
    set floatingPanes(v: IgrSplitPaneCollection);
    findByName(name: string): any;
    setNativeElement(element: any): void;
}
