import { DockManagerResourceStrings as DockManagerResourceStrings_internal } from "./DockManagerResourceStrings";
import { ContentChildrenManager } from "igniteui-react-core";
/**
 * Describes dock manager resource strings.
*/
export declare class IgrDockManagerResourceStrings {
    protected createImplementation(): DockManagerResourceStrings_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DockManagerResourceStrings_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    get close(): string;
    set close(v: string);
    get pin(): string;
    set pin(v: string);
    get unpin(): string;
    set unpin(v: string);
    get maximize(): string;
    set maximize(v: string);
    get minimize(): string;
    set minimize(v: string);
    get moreOptions(): string;
    set moreOptions(v: string);
    get moreTabs(): string;
    set moreTabs(v: string);
    get panes(): string;
    set panes(v: string);
    get documents(): string;
    set documents(v: string);
    findByName(name: string): any;
    setNativeElement(element: any): void;
}
