import { PaneDragActionType } from "./PaneDragActionType";
import { IgrDockManagerPoint } from "./igr-dock-manager-point";
import { IgrPaneDragAction, IIgrPaneDragActionProps } from "./igr-pane-drag-action";
import { MoveFloatingPaneAction } from "./MoveFloatingPaneAction";
export declare class IgrMoveFloatingPaneAction extends IgrPaneDragAction<IIgrMoveFloatingPaneActionProps> {
    protected createImplementation(): MoveFloatingPaneAction;
    /**
                                 * @hidden
                                 */
    get i(): MoveFloatingPaneAction;
    constructor(props: IIgrMoveFloatingPaneActionProps);
    get actionType(): PaneDragActionType;
    set actionType(v: PaneDragActionType);
    get oldLocation(): IgrDockManagerPoint;
    set oldLocation(v: IgrDockManagerPoint);
    get newLocation(): IgrDockManagerPoint;
    set newLocation(v: IgrDockManagerPoint);
    findByName(name: string): any;
    setNativeElement(element: any): void;
}
export interface IIgrMoveFloatingPaneActionProps extends IIgrPaneDragActionProps {
    actionType?: PaneDragActionType | string;
    oldLocation?: IgrDockManagerPoint;
    newLocation?: IgrDockManagerPoint;
}
