import * as React from 'react';
import { IgrDropdownGroup, IIgrDropdownGroupProps } from "./igr-dropdown-group";
import { SelectGroup } from "./SelectGroup";
import { IgrSelectItem } from "./igr-select-item";
/**

*/
export declare class IgrSelectGroup extends IgrDropdownGroup<IIgrSelectGroupProps> {
    protected createImplementation(): SelectGroup;
    /**
                                 * @hidden
                                 */
    get i(): SelectGroup;
    constructor(props: IIgrSelectGroupProps);
    componentDidMount(): void;
    render(): React.DOMElement<{
        ref: (ref: any) => void;
        className: string;
        style: {};
        children: any[];
    }, any>;
    protected _elRef: HTMLElement;
    protected _getMainRef(ref: any): void;
    /**
     * All child `igc-select-item`s.
    */
    get items(): IgrSelectItem[];
    set items(v: IgrSelectItem[]);
    /**
     * Whether the group item and all its children are disabled.
    */
    get disabled(): boolean;
    set disabled(v: boolean);
    disconnectedCallback(): void;
}
export interface IIgrSelectGroupProps extends IIgrDropdownGroupProps {
    /**
     * All child `igc-select-item`s.
    */
    items?: IgrSelectItem[];
    /**
     * Whether the group item and all its children are disabled.
    */
    disabled?: boolean | string;
}
