import { CalendarFormatOptions as CalendarFormatOptions_internal } from "./CalendarFormatOptions";
var IgrCalendarFormatOptions = /** @class */ /*@__PURE__*/ (function () {
    function IgrCalendarFormatOptions() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrCalendarFormatOptions.prototype.createImplementation = function () {
        return new CalendarFormatOptions_internal();
    };
    Object.defineProperty(IgrCalendarFormatOptions.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrCalendarFormatOptions.prototype.onImplementationCreated = function () {
    };
    IgrCalendarFormatOptions.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgrCalendarFormatOptions.prototype, "weekday", {
        get: function () {
            return this.i.weekday;
        },
        set: function (v) {
            this.i.weekday = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrCalendarFormatOptions.prototype, "month", {
        get: function () {
            return this.i.month;
        },
        set: function (v) {
            this.i.month = v;
        },
        enumerable: false,
        configurable: true
    });
    IgrCalendarFormatOptions.prototype.findByName = function (name) {
        if (this.findEphemera) {
            if (name && name.indexOf("@@e:") == 0) {
                return this.findEphemera(name);
            }
        }
        return null;
    };
    return IgrCalendarFormatOptions;
}());
export { IgrCalendarFormatOptions };
