import { __extends } from "tslib";
import { IgCollection } from "igniteui-react-core";
import { markType } from "igniteui-react-core";
import { SyncableObservableCollection$2 } from "igniteui-react-core";
import { DropdownItem as DropdownItem_internal } from './DropdownItem';
import { IgrDropdownItem as IgrDropdownItem } from './igr-dropdown-item';
var IgrDropdownItemCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgrDropdownItemCollection, _super);
    function IgrDropdownItemCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgrDropdownItem.$type) {
            IgrDropdownItem.$type = markType(IgrDropdownItem, "IgrDropdownItem");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgrDropdownItemCollection.prototype._createInnerColl = function () {
        if (!IgrDropdownItem.$type) {
            IgrDropdownItem.$type = markType(IgrDropdownItem, "IgrDropdownItem");
        }
        var coll = new SyncableObservableCollection$2(IgrDropdownItem.$type, DropdownItem_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = IgrDropdownItem._createFromInternal(int);
                if (ext) {
                    ext._implementation = int;
                }
            }
            return ext;
        };
        return coll;
    };
    return IgrDropdownItemCollection;
}(IgCollection));
export { IgrDropdownItemCollection };
