import { __extends } from "tslib";
import { PaneDragActionType_$type } from "./PaneDragActionType";
import { IgrDockManagerPoint } from "./igr-dock-manager-point";
import { IgrPaneDragAction } from "./igr-pane-drag-action";
import { FloatPaneAction } from "./FloatPaneAction";
import { ensureEnum } from "igniteui-react-core";
var IgrFloatPaneAction = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgrFloatPaneAction, _super);
    function IgrFloatPaneAction(props) {
        return _super.call(this, props) || this;
    }
    IgrFloatPaneAction.prototype.createImplementation = function () {
        return new FloatPaneAction();
    };
    Object.defineProperty(IgrFloatPaneAction.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrFloatPaneAction.prototype, "actionType", {
        get: function () {
            return this.i.b;
        },
        set: function (v) {
            this.i.b = ensureEnum(PaneDragActionType_$type, v);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrFloatPaneAction.prototype, "location", {
        get: function () {
            var r = this.i.a;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = new IgrDockManagerPoint();
                if (r.$type) {
                    e._implementation = r;
                }
                else {
                    if (e.i.setNativeElement) {
                        e.i.setNativeElement(r);
                    }
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.a = null : this.i.a = v.i;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrFloatPaneAction.prototype, "width", {
        get: function () {
            return this.i.f;
        },
        set: function (v) {
            this.i.f = +v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrFloatPaneAction.prototype, "height", {
        get: function () {
            return this.i.e;
        },
        set: function (v) {
            this.i.e = +v;
        },
        enumerable: false,
        configurable: true
    });
    IgrFloatPaneAction.prototype.findByName = function (name) {
        var baseResult = _super.prototype.findByName.call(this, name);
        if (baseResult) {
            return baseResult;
        }
        if (this.location && this.location.name && this.location.name == name) {
            return this.location;
        }
        return null;
    };
    IgrFloatPaneAction.prototype.setNativeElement = function (element) {
        this.i.setNativeElement(element);
    };
    return IgrFloatPaneAction;
}(IgrPaneDragAction));
export { IgrFloatPaneAction };
