import { __extends } from "tslib";
import { IgrInputBase } from "./igr-input-base";
import { ensureBool } from "igniteui-react-core";
var IgrMaskInputBase = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgrMaskInputBase, _super);
    function IgrMaskInputBase(props) {
        return _super.call(this, props) || this;
    }
    Object.defineProperty(IgrMaskInputBase.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrMaskInputBase.prototype, "prompt", {
        /**
         * The prompt symbol to use for unfilled parts of the mask.
        */
        get: function () {
            return this.i.aa;
        },
        set: function (v) {
            this.i.aa = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrMaskInputBase.prototype, "invalid", {
        /**
         * Controls the validity of the control.
        */
        get: function () {
            return this.i.z;
        },
        set: function (v) {
            this.i.z = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    IgrMaskInputBase.prototype.connectedCallback = function () {
        this.i.ab();
    };
    /**
     * Sets a custom validation message for the control.
     * As long as `message` is not empty, the control is considered invalid.
    
    */
    IgrMaskInputBase.prototype.setCustomValidity = function (message) {
        this.i.ad(message);
    };
    /**
     * Selects all text within the input.
    
    */
    IgrMaskInputBase.prototype.select = function () {
        this.i.ac();
    };
    return IgrMaskInputBase;
}(IgrInputBase));
export { IgrMaskInputBase };
