import { IgrTabHeaderConnectionEventArgsDetail } from "./igr-tab-header-connection-event-args-detail";
import { TabHeaderConnectionEventArgs as TabHeaderConnectionEventArgs_internal } from "./TabHeaderConnectionEventArgs";
var IgrTabHeaderConnectionEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgrTabHeaderConnectionEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrTabHeaderConnectionEventArgs.prototype.createImplementation = function () {
        return new TabHeaderConnectionEventArgs_internal();
    };
    Object.defineProperty(IgrTabHeaderConnectionEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrTabHeaderConnectionEventArgs.prototype.onImplementationCreated = function () {
    };
    IgrTabHeaderConnectionEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgrTabHeaderConnectionEventArgs.prototype, "detail", {
        get: function () {
            var r = this.i.b;
            if (r == null) {
                return null;
            }
            if (!r.externalObject) {
                var e = new IgrTabHeaderConnectionEventArgsDetail();
                if (r.$type) {
                    e._implementation = r;
                }
                else {
                    if (e.i.setNativeElement) {
                        e.i.setNativeElement(r);
                    }
                }
                r.externalObject = e;
            }
            return r.externalObject;
        },
        set: function (v) {
            v == null ? this.i.b = null : this.i.b = v.i;
        },
        enumerable: false,
        configurable: true
    });
    return IgrTabHeaderConnectionEventArgs;
}());
export { IgrTabHeaderConnectionEventArgs };
