import { ToggleOptions as ToggleOptions_internal } from "./ToggleOptions";
var IgrToggleOptions = /** @class */ /*@__PURE__*/ (function () {
    function IgrToggleOptions() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrToggleOptions.prototype.createImplementation = function () {
        return new ToggleOptions_internal();
    };
    Object.defineProperty(IgrToggleOptions.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrToggleOptions.prototype.onImplementationCreated = function () {
    };
    IgrToggleOptions.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    IgrToggleOptions.prototype.findByName = function (name) {
        if (this.findEphemera) {
            if (name && name.indexOf("@@e:") == 0) {
                return this.findEphemera(name);
            }
        }
        return null;
    };
    return IgrToggleOptions;
}());
export { IgrToggleOptions };
