import { __extends } from "tslib";
import { IgCollection } from "igniteui-react-core";
import { markType } from "igniteui-react-core";
import { SyncableObservableCollection$2 } from "igniteui-react-core";
import { TreeItem as TreeItem_internal } from './TreeItem';
import { IgrTreeItem as IgrTreeItem } from './igr-tree-item';
var IgrTreeItemCollection = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgrTreeItemCollection, _super);
    function IgrTreeItemCollection(list) {
        var _this = _super.call(this) || this;
        if (!IgrTreeItem.$type) {
            IgrTreeItem.$type = markType(IgrTreeItem, "IgrTreeItem");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    IgrTreeItemCollection.prototype._createInnerColl = function () {
        if (!IgrTreeItem.$type) {
            IgrTreeItem.$type = markType(IgrTreeItem, "IgrTreeItem");
        }
        var coll = new SyncableObservableCollection$2(IgrTreeItem.$type, TreeItem_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = IgrTreeItem._createFromInternal(int);
                if (ext) {
                    ext._implementation = int;
                }
            }
            return ext;
        };
        return coll;
    };
    return IgrTreeItemCollection;
}(IgCollection));
export { IgrTreeItemCollection };
