import { CalendarBase } from "./CalendarBase";
import { Type } from "igniteui-react-core";
import { CalendarHeaderOrientation } from "./CalendarHeaderOrientation";
import { CalendarOrientation } from "./CalendarOrientation";
import { CalendarActiveView } from "./CalendarActiveView";
import { CalendarFormatOptions } from "./CalendarFormatOptions";
import { CalendarResourceStrings } from "./CalendarResourceStrings";
import { SizableComponentSize } from "./SizableComponentSize";
import { ComponentDataValueChangedEventArgs } from "./ComponentDataValueChangedEventArgs";
/**
 * @hidden
 */
export declare class Calendar extends CalendarBase {
    static $t: Type;
    get w(): Date;
    set w(a: Date);
    get l(): Date[];
    set l(a: Date[]);
    get v(): Date;
    set v(a: Date);
    get u(): boolean;
    set u(a: boolean);
    get t(): boolean;
    set t(a: boolean);
    get o(): CalendarHeaderOrientation;
    set o(a: CalendarHeaderOrientation);
    get p(): CalendarOrientation;
    set p(a: CalendarOrientation);
    get x(): number;
    set x(a: number);
    get m(): CalendarActiveView;
    set m(a: CalendarActiveView);
    get n(): CalendarFormatOptions;
    set n(a: CalendarFormatOptions);
    get q(): CalendarResourceStrings;
    set q(a: CalendarResourceStrings);
    get s(): SizableComponentSize;
    set s(a: SizableComponentSize);
    change: (sender: any, args: ComponentDataValueChangedEventArgs) => void;
    changeChanged(): void;
}
