import { PaneDragActionType } from "./PaneDragActionType";
import { IgrDockingIndicator } from "./igr-docking-indicator";
import { IgrDockManagerPane } from "./igr-dock-manager-pane";
import { IgrPaneDragAction, IIgrPaneDragActionProps } from "./igr-pane-drag-action";
import { DockPaneAction } from "./DockPaneAction";
export declare class IgrDockPaneAction extends IgrPaneDragAction<IIgrDockPaneActionProps> {
    protected createImplementation(): DockPaneAction;
    /**
                                 * @hidden
                                 */
    get i(): DockPaneAction;
    constructor(props: IIgrDockPaneActionProps);
    get actionType(): PaneDragActionType;
    set actionType(v: PaneDragActionType);
    get dockingIndicator(): IgrDockingIndicator;
    set dockingIndicator(v: IgrDockingIndicator);
    get targetPane(): IgrDockManagerPane;
    set targetPane(v: IgrDockManagerPane);
    findByName(name: string): any;
    protected _styling(container: any, component: any, parent?: any): void;
    setNativeElement(element: any): void;
}
export interface IIgrDockPaneActionProps extends IIgrPaneDragActionProps {
    actionType?: PaneDragActionType | string;
    dockingIndicator?: IgrDockingIndicator;
    targetPane?: IgrDockManagerPane;
}
