import { IgrSplitPane } from "./igr-split-pane";
import { ResizerLocation } from "./ResizerLocation";
import { FloatingPaneResizeEventArgsDetail as FloatingPaneResizeEventArgsDetail_internal } from "./FloatingPaneResizeEventArgsDetail";
import { ContentChildrenManager } from "igniteui-react-core";
export declare class IgrFloatingPaneResizeEventArgsDetail {
    protected createImplementation(): FloatingPaneResizeEventArgsDetail_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): FloatingPaneResizeEventArgsDetail_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the source pane that triggers the resize operation.
    */
    get sourcePane(): IgrSplitPane;
    set sourcePane(v: IgrSplitPane);
    /**
     * Gets the edge/corner that is being dragged.
    */
    get resizerLocation(): ResizerLocation;
    set resizerLocation(v: ResizerLocation);
    findByName(name: string): any;
    setNativeElement(element: any): void;
}
