import { IgrDockManagerPane } from "./igr-dock-manager-pane";
import { PaneDragEndEventArgsDetail as PaneDragEndEventArgsDetail_internal } from "./PaneDragEndEventArgsDetail";
import { ContentChildrenManager } from "igniteui-react-core";
import { IgrContentPane } from "./igr-content-pane";
export declare class IgrPaneDragEndEventArgsDetail {
    protected createImplementation(): PaneDragEndEventArgsDetail_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): PaneDragEndEventArgsDetail_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the source pane that ends dragging.
    */
    get sourcePane(): IgrDockManagerPane;
    set sourcePane(v: IgrDockManagerPane);
    /**
     * Gets the panes that end dragging.
    */
    get panes(): IgrContentPane[];
    set panes(v: IgrContentPane[]);
    findByName(name: string): any;
    setNativeElement(element: any): void;
}
