import { IgrContentPane } from "./igr-content-pane";
import { IgrPaneHeaderElement } from "./igr-pane-header-element";
import { PaneHeaderConnectionEventArgsDetail as PaneHeaderConnectionEventArgsDetail_internal } from "./PaneHeaderConnectionEventArgsDetail";
import { ContentChildrenManager } from "igniteui-react-core";
export declare class IgrPaneHeaderConnectionEventArgsDetail {
    protected createImplementation(): PaneHeaderConnectionEventArgsDetail_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): PaneHeaderConnectionEventArgsDetail_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The pane whose header is being connected/disconnected.
    */
    get pane(): IgrContentPane;
    set pane(v: IgrContentPane);
    /**
     * The header element that is being connected/disconnected.
    */
    get element(): IgrPaneHeaderElement;
    set element(v: IgrPaneHeaderElement);
    findByName(name: string): any;
    setNativeElement(element: any): void;
}
