import { IgrDragService } from "./igr-drag-service";
import { PaneHeaderElement as PaneHeaderElement_internal } from "./PaneHeaderElement";
import { ContentChildrenManager } from "igniteui-react-core";
/**
 * Describes a pane header element.
*/
export declare class IgrPaneHeaderElement {
    protected createImplementation(): PaneHeaderElement_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): PaneHeaderElement_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets/sets the drag service.
    */
    get dragService(): IgrDragService;
    set dragService(v: IgrDragService);
    findByName(name: string): any;
    setNativeElement(element: any): void;
}
